ATRUN(8)

NAME
atrun - run jobs queued for later execution

SYNOPSIS
atrun [-l load_avg] [-d]

DESCRIPTION
Atrun runs jobs queued by at(1).

The system crontab(5) file /etc/crontab must contain the line

    */5     *       *       *       *       root    /usr/libexec/atrun

so atrun is invoked every five minutes.

At every invocation, atrun starts all the jobs in the lowercase queues whose start time has elapsed. In addition, if the load average over the last minute was less than the specified limit, then a maximum of one batch job (denoted by the uppercase queues) is started.

Before starting a job, atrun checks the status of its owner's account with pam(3) and refuses to run the job if the account is unavailable, e.g., locked out or expired.

OPTIONS

-l load_avg
    Specify a limiting load factor, over which batch jobs should not be run, instead of the default of 1.5 * number of active CPUs.

-d  Debug; print error messages to standard error instead of using syslog(3).

WARNINGS
For atrun to work, a cron(8) daemon must be running atrun periodically.

FILES
/etc/pam.d/atrun
    pam.conf(5) configuration file for atrun
/var/at/jobs
    Directory containing job files
/var/at/spool
    Directory containing output spool files

SEE ALSO
at(1), crontab(1), pam(3), syslog(3), crontab(5), pam.conf(5), cron(8)

BUGS
The functionality of atrun should be merged into cron(8).